<!--
Automatically generated HTML file from DocOnce source
(https://github.com/hplgit/doconce/)
-->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="DocOnce: https://github.com/hplgit/doconce/" />
<meta name="description" content="Overview of lectures">

<title>Overview of lectures</title>

<!-- Bootstrap style: bootstrap -->
<link href="http://netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
<!-- not necessary
<link href="http://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet">
-->


</head>

<!-- tocinfo
{'highest level': 4, 'sections': []}
end of tocinfo -->

<body>

    
<!-- Bootstrap navigation bar -->
<div class="navbar navbar-default navbar-fixed-top">
  <div class="navbar-header">
    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
    </button>
    <a class="navbar-brand" href="lectures.html">Overview of lectures</a>
  </div>
  <div class="navbar-collapse collapse navbar-responsive-collapse">
    <ul class="nav navbar-nav navbar-right">
      <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown">Contents <b class="caret"></b></a>
        <ul class="dropdown-menu">

        </ul>
      </li>
    </ul>
  </div>
</div>
</div> <!-- end of navigation bar -->

<div class="container">

<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p> <!-- add vertical space -->

<!-- ------------------- main content ---------------------- -->



<center><h1>Overview of lectures</h1></center>  <!-- document title -->

<p>
<!-- author(s): Hans Petter Langtangen -->

<center>
<b>Hans Petter Langtangen</b>  (<tt>hpl at ifi.uio.no</tt>)
</center>


<p>
<!-- institution(s) -->

<p>
<a href="http://tinyurl.com/opdfafk/pub" target="_blank">Link to all course material</a>

<p>
<a href="http://tinyurl.com/nm5587k" target="_blank">Link to source codes</a>

<ul>
 <li> <b>Aug 19:</b></li>

<ul>
   <li> <a href="about.html" target="_blank">About the course</a>; <a href="http://tinyurl.com/opdfafk/pub/doc/pub/decay/hpl/lecture_decay-1.html" target="_blank">slides</a></li>
   <li> <a href="http://tinyurl.com/opdfafk/pub/decay/html/index.html" target="_blank">Finite difference methods for u'=-au</a>: Finite difference methods, Implementation; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/pdf/main_decay-4print.pdf" target="_blank">PDF</a> p. 4-34; <a href="http://tinyurl.com/opdfafk/pub/doc/pub/decay/hpl/lecture_decay-1.html#decay:fdm" target="_blank">slides</a></li>
</ul>

 <li> <b>Aug 21:</b></li>

<ul>
   <li> <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/sphinx/._main_decay003.html" target="_blank">Analysis of finite difference equations</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/pdf/main_decay-4print.pdf" target="_blank">PDF</a> p. 35-48; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/html/lecture_decay-1.html#decay:analysis" target="_blank">slides</a></li>
   <li> <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/sphinx/._main_decay004.html" target="_blank">Model extensions</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/pdf/main_decay-4print.pdf" target="_blank">PDF</a> p. 49-56; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/html/lecture_decay-1.html#decay:generalizations" target="_blank">slides</a></li>
   <li> Read on your own: <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/sphinx/._main_decay004.html#general-first-order-odes" target="_blank">Methods for general first-order ODEs and Applications of exponential decay models</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/pdf/main_decay-4print.pdf" target="_blank">PDF</a> p. 57-83; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/html/lecture_decay-1.html#decay:generalizations" target="_blank">slides</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/html/lecture_decay-1.html#decay:1stODEs" target="_blank">slides</a></li>
</ul>

 <li> <b>Aug 26:</b></li>

<ul>
   <li> Make GitHub account. Aslak showed you how to setup your github account. For those of you that where not there or didn't have your computer, you can follow these steps.</li>

<ul>
      <li> Go to <a href="http://github.com" target="_blank">github.com</a> and create a user</li>
      <li> Fill out <a href="https://docs.google.com/a/simula.no/forms/d/1fbPXMzw9-HKkqS_0IkGPkONsSg0C0wqtTiRSbP_mpGI/viewform" target="_blank">this form about your GitHub account</a></li>
      <li> In github, click on settings in the top right corner</li>
      <li> Go to emails</li>
      <li> Add your university email and verify it.</li>
      <li> Go to SSH keys and open the manual for creating a SSH key. Follow the manual.</li>
      <li> Go to <a href="https://education.github.com/" target="_blank">education.github.com</a>, click on <em>Request a discount</em> and fill out the form.</li>
</ul>

   <li> Before the next group session we will create a repository for you in this course. If you have any questions about this or the course in general please send an email to <a href="mailto:inf5620@gmail.com" target="_blank">inf5620@gmail.com</a>.</li>
   <li> <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/sphinx/._main_decay005.html#exercise-10-derive-schemes-for-newton-s-law-of-cooling" target="_blank">Exercises 10, 11, 12</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/pdf/main_decay-4print.pdf" target="_blank">PDF</a> p. 84. Solveig went thought Exercise 10.</li>
</ul>

 <li> <b>Aug 28:</b> 0815-0900: <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/diffu/sphinx/index.html" target="_blank">Basic discretization of diffusion equations</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/diffu/pdf/main_diffu-4print.pdf" target="_blank">PDF</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/diffu/html/lecture_diffu-1.html" target="_blank">slides</a> (Forward/Backward Euler and Crank-Nicolson schemes).
   0915-1000: Quick overview of the finite element method. See
   <a href="Aug28.pdf" target="_blank">handwritten notes</a>.</li>
 <li> <b>Sep 2:</b></li>

<ul>
   <li> <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/sphinx/._main_decay005.html#exercise-10-derive-schemes-for-newton-s-law-of-cooling" target="_blank">Exercises 10, 11, 12</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/pdf/main_decay-4print.pdf" target="_blank">PDF</a> p. 84. Note that Exercise 10 is extended to a time-dependent term and that Exercise 11 has more subexercises about verification techniques. Solutions: <a href="https://github.com/hplgit/num-methods-for-PDEs/raw/master/exercises/schemes_cooling.pdf" target="_blank">Exercise 10</a>, <a href="https://github.com/hplgit/num-methods-for-PDEs/blob/master/exercises/cooling.py" target="_blank">Exercise 11 (cooling.py)</a>, <a href="http://hplgit.github.io/num-methods-for-PDEs/exercises/cooling_bugs/cooling_bugs.html" target="_blank">effect of bugs in Exercise 11</a>, <a href="https://github.com/hplgit/num-methods-for-PDEs/blob/master/exercises/detective.py" target="_blank"><tt>detective.py</tt></a>.</li>
   <li> <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/sphinx/._main_decay003.html#exercise-1-visualize-the-accuracy-of-finite-differences" target="_blank">Exercises 1, 2</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/decay/pdf/main_decay-4print.pdf" target="_blank">PDF</a> p. 49.
     Solution:  <a href="https://github.com/hplgit/num-methods-for-PDEs/blob/master/exercises/decay_plot_fd_error.py" target="_blank">Exercise 1</a>.</li>
</ul>

 <li> <b>Sep 4:</b>
   <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/index.html" target="_blank">Introduction to finite element methods</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/html/lecture_fem.html" target="_blank">slides</a>. Covered the material until finite element basis functions.</li>
 <li> <b>Sep 9:</b> <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem004.html" target="_blank">Finite element basis functions</a>, <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a> p. 31, <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/html/lecture_fem-solarized.html#fem:approx:fe" target="_blank">slides</a>.</li>
 <li> <b>Sep 11:</b> Everyone should solve <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem011.html#exercise-4-approximate-the-exponential-function-by-power-functions" target="_blank">Exercise 4</a>, and 6 in the <em>Introduction to finite element methods</em> chapter; page 84 in <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a> (note that the exercises were recently slightly changed, so if you have a printed PDF, check the online versions for updates of the exercises). Add the exercises to your GitHub repo. Groups of three will review three exercises. We call this <em>compulsory exercises with peer review</em>, and each student needs to participate in three events of this type. This is the first event. We will also do Exercise 5 and 7, but these are optional and not compulsory.</li>
 <li> <b>Sep 16:</b> More about the finite element machinery, we start where we
   left off:
   <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem004.html#assembly-of-elementwise-computations" target="_blank">Assembly of elementwise computations</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a> page 44; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/html/lecture_fem-1.html#fem:approx:fe:elementwise" target="_blank">slides</a>. We finished
   the chapter on approximation, incl. 2D/3D finite elements.</li>
 <li> <b>Sep 18:</b> We add boundary terms to make the boundary values correct
   in Exercise 6. Some demonstrations of movies (Exercise 7) are shown to
   illustrate the effect of different choices of basis and the influence
   of boundary terms. This took 30 min. We continued with what was set
   up for Sep 23: <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem011.html#exercise-10-define-nodes-and-elements" target="_blank">Exercise 10</a> and 11
   (page 88 in <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a>). Thereafter, a quick overview of the wave equation
   project was given. The details of this project and background material to
   read will appear on this page very soon.</li>
 <li> <b>Sep 23:</b> Solveig and Aslak will show up and be oracles for the
   exercises 13, 14, and 15, which are to be completed by Thursday.
   They can help you out with the finite element method as well as
   technical problems with Python programming or Git and GitHub.
   Take a look at the <a href="exercise_delivery.html" target="_blank">checklist for peer review of exercises</a> to see the various points you should consider when solving (and later
   judging) an exercise.</li>
 <li> <b>Sep 25:</b> Everyone should solve <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem011.html#exercise-13-perform-symbolic-finite-element-computations" target="_blank">Exercise 13</a>, 14, and 15 in the <em>Introduction to finite element methods</em> chapter (page 88 in <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a>). The exercises must be pushed to your personal Git repository at GitHub in the INF5620 virtual classroom. The students will be divded into groups of three to perform <em>peer review</em> of the solutions by three other students. This is the second such session, and we require each student to participate in at least three such sessions during the semester (there will be 3-4 more - at least). Each group can use a <a href="exercise_delivery.html" target="_blank">checklist</a> to see what should be considered when reviewing exercises.</li>
 <li> <b>Sep 30:</b> Students are encouraged to show up in the Shell room and
   collaborate on the compulsory <a href="http://tinyurl.com/opdfafk/pub/web-INF5620/wave_project.html" target="_blank">wave project</a>.</li>
 <li> <b>Oct 2:</b> Same as for Sep 30.</li>
 <li> <b>Oct 7, Oct 9:</b> There will be lab with teaching assistant(s) available.</li>
 <li> <b>Oct 14:</b> Students are divided into groups of three for assessing
   the compulsory wave project.</li>
 <li> <b>Oct 16:</b> Ordinary lecture again on <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem012.html" target="_blank">Basic principles for approximating differential equations</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a> page 92; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/html/lecture_fem-1.html#fem:deq:1D:principles" target="_blank">slides</a>.</li>
 <li> <b>Oct 21:</b> We continue where we left and proceed with finite elements for
   solving differential equations.</li>
 <li> <b>Oct 23:</b> Exercises to be handed in on GitHub and assessed by other
   students in groups of three:
   <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem011.html#exercise-18-2d-approximation-with-orthogonal-functions" target="_blank">18</a>, <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem011.html#exercise-19-use-the-trapezoidal-rule-and-p1-elements" target="_blank">19</a>, <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem022.html#exercise-24-compute-the-deflection-of-a-cable-with-sine-functions" target="_blank">24</a>. Optional exercises: <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem011.html#problem-20-compare-p1-elements-and-interpolation" target="_blank">20</a> and <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem011.html#exercise-16-investigate-the-approximation-error-in-finite-elements" target="_blank">16</a> can be assessed by the lecturer (<a href="mailto:hpl@simula.no" target="_blank">hpl@simula.no</a>). Some of these exercises have recently been (slightly) reformulated so make sure you check out the version from Oct 16 or later.</li>
 <li> <b>Oct 28:</b> Ordinary lecture: <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem015.html" target="_blank">Methods for incorporating nonzero Dirichlet conditions</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a> p. 119-142; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/html/lecture_fem-1.html#fem:deq:1D:essBC:ex" target="_blank">slides</a>. <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem020.html" target="_blank">2D/3D problems and time-dependent problems</a>; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/pdf/main_fem-4print.pdf" target="_blank">PDF</a> p. 143; <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/html/lecture_fem-1.html#fem:deq:timedep" target="_blank">slides</a>.</li>
 <li> <b>Oct 30:</b> Ordinary lecture - we continue from Tuesday in the first lecture.
   The second, 0915-1000, is oracle: you can ask about exercises for next
   Tuesday.</li>
 <li> <b>Nov 4:</b> Students meet and exchange exercises for assessment in groups of three. Exercise <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/fem/sphinx/._main_fem022.html#exercise-26-compute-the-deflection-of-a-cable-with-2-p1-elements" target="_blank">26</a> and 27, plus <a href="http://hplgit.github.io/num-methods-for-PDEs/doc/pub/web-INF5620/fem1D_project.html" target="_blank">a finite element wave equation project</a> a)-f). We will do the analysis in g)-j) later.
<!-- Exercise 16, 18, 19, 20, , 25. 17?. Note that some of these exercises have been slightly reformulated recently, so look up the latest version of the course material. --></li>
</ul>


<!-- ------------------- end of main content --------------- -->

</div>  <!-- end container -->
<!-- include javascript, jQuery *first* -->
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script src="http://netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>

<!-- Bootstrap footer
<footer>
<a href="http://..."><img width="250" align=right src="http://..."></a>
</footer>
-->


</body>
</html>
    

